Subject: Re: [PATCH] gnu: [email-masked]: Support cross-compilation.

From: [email-masked]
Date: Mon, 21 Apr 2025 17:12:00 +0200 (CEST)

Hello,

Apr 21, 2025, 14:46 by [email-masked]:

>
> Hi Ludovic,
>
> I have no strong opinion here, patch looks clear and reasonable if it
> fixes cross-compilation.
>
> There is other one 77957, fixing tests on GNU/Hurd which we may consider
> to merge together to prevent double re-build the world event ;-) which I
> guess we can't escape.
>
>
>From what I can see both should not cause rebuilds for the regular python.
The cross compilation fix is behind a ,@(if (%current-target-system) ...) and my test skips are only for ,@(if (system-hurd?) ...) so only the python on hurd and a cross compiled python should change (which currently dont build)

I checked that the x86-linux python is the same before sending my patch.